OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.DisplayLists

Contents

- Defining Display Lists
- Calling Display Lists

Description

This module corresponds to section 5.4 (Display Lists) of the OpenGL 2.1 specs.

Synopsis

- newtype DisplayList = DisplayList GLuint
- data ListMode
  - = Compile
  - | CompileAndExecute
- defineList :: DisplayList -> ListMode -> IO a -> IO a
- defineNewList :: ListMode -> IO a -> IO DisplayList
- listIndex :: GettableStateVar (Maybe DisplayList)
- listMode :: GettableStateVar ListMode
- maxListNesting :: GettableStateVar GLsizei
- callList :: DisplayList -> IO ()
- callLists :: GLsizei -> DataType -> Ptr a -> IO ()
- listBase :: StateVar DisplayList

# Defining Display Lists

newtype DisplayList Source #

Constructors

DisplayList GLuint |

#### Instances

Instances details

GeneratableObjectName DisplayList Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.DisplayLists Methods genObjectName :: MonadIO m => m DisplayList Source # genObjectNames :: MonadIO m => Int -> m [DisplayList] Source #
ObjectName DisplayList Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.DisplayLists Methods isObjectName :: MonadIO m => DisplayList -> m Bool Source # deleteObjectName :: MonadIO m => DisplayList -> m () Source # deleteObjectNames :: MonadIO m => [DisplayList] -> m () Source #
CanBeLabeled DisplayList Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.DisplayLists Methods objectLabel :: DisplayList -> StateVar (Maybe String) Source #
Show DisplayList Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.DisplayLists Methods showsPrec :: Int -> DisplayList -> ShowS Source # show :: DisplayList -> String Source # showList :: [DisplayList] -> ShowS Source #
Eq DisplayList Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.DisplayLists Methods (==) :: DisplayList -> DisplayList -> Bool Source # (/=) :: DisplayList -> DisplayList -> Bool Source #
Ord DisplayList Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.DisplayLists

Methods

compare :: DisplayList -> DisplayList -> Ordering Source #

(<) :: DisplayList -> DisplayList -> Bool Source #

(<=) :: DisplayList -> DisplayList -> Bool Source #

(>) :: DisplayList -> DisplayList -> Bool Source #

(>=) :: DisplayList -> DisplayList -> Bool Source #

max :: DisplayList -> DisplayList -> DisplayList Source #

min :: DisplayList -> DisplayList -> DisplayList Source #

data ListMode Source #

Constructors

Compile |
CompileAndExecute |

#### Instances

Instances details

Show ListMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.DisplayLists Methods showsPrec :: Int -> ListMode -> ShowS Source # show :: ListMode -> String Source # showList :: [ListMode] -> ShowS Source #
Eq ListMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.DisplayLists Methods (==) :: ListMode -> ListMode -> Bool Source # (/=) :: ListMode -> ListMode -> Bool Source #
Ord ListMode Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.DisplayLists

Methods

compare :: ListMode -> ListMode -> Ordering Source #

(<) :: ListMode -> ListMode -> Bool Source #

(<=) :: ListMode -> ListMode -> Bool Source #

(>) :: ListMode -> ListMode -> Bool Source #

(>=) :: ListMode -> ListMode -> Bool Source #

max :: ListMode -> ListMode -> ListMode Source #

min :: ListMode -> ListMode -> ListMode Source #

defineList :: DisplayList -> ListMode -> IO a -> IO a Source #

defineNewList :: ListMode -> IO a -> IO DisplayList Source #

listIndex :: GettableStateVar (Maybe DisplayList) Source #

listMode :: GettableStateVar ListMode Source #

maxListNesting :: GettableStateVar GLsizei Source #

# Calling Display Lists

callList :: DisplayList -> IO () Source #

callLists :: GLsizei -> DataType -> Ptr a -> IO () Source #

listBase :: StateVar DisplayList Source #